"{ Package: 'jn:refactoring_custom' }"

Object subclass:#CustomSourceCodeSelection
	instanceVariableNames:'selectedInterval currentSourceCode selectedMethod selectedClass
		selectedSelector'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

!CustomSourceCodeSelection class methodsFor:'documentation'!

documentation
"
    Container class which holds actual source code from text editor (source code editor) 
    with exact position of selected source code. Also keeps corresponding class, method and selector
    to current source code.

    [author:]
        Jakub Nesveda <nesvejak@fit.cvut.cz>

"
! !

!CustomSourceCodeSelection methodsFor:'accessing'!

currentSourceCode
    ^ currentSourceCode
!

currentSourceCode:something
    currentSourceCode := something.
!

selectedClass
    ^ selectedClass
!

selectedClass:something
    selectedClass := something.
!

selectedInterval
    ^ selectedInterval
!

selectedInterval:something
    selectedInterval := something.
!

selectedMethod
    ^ selectedMethod
!

selectedMethod:something
    selectedMethod := something.
!

selectedSelector
    ^ selectedSelector
!

selectedSelector:something
    selectedSelector := something.
! !

