"{ Package: 'jn:refactoring_custom' }"

CustomContext subclass:#CustomSubContext
	instanceVariableNames:'selectedClasses selectedClassCategories selectedMethodProtocols
		selectedMethods selectedPackages selectedVariables selectedCodes'
	classVariableNames:''
	poolDictionaries:''
	category:'Interface-Refactoring-Custom'
!

!CustomSubContext class methodsFor:'instance creation'!

new
    "return an initialized instance"

    ^ self basicNew initialize.

    "Created: / 19-12-2013 / 13:56:46 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomSubContext methodsFor:'accessing'!

selectedClassCategories:something
    selectedClassCategories := something.
!

selectedClasses: aClassCollection

    selectedClasses := aClassCollection

    "Created: / 26-04-2014 / 16:05:34 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedCodes: something
    selectedCodes := something.

    "Created: / 18-08-2014 / 23:53:25 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedMethodProtocols:something
    selectedMethodProtocols := something.
!

selectedMethods:something
    selectedMethods := something.
!

selectedPackages:something
    selectedPackages := something.
!

selectedVariables:something
    selectedVariables := something.
! !

!CustomSubContext methodsFor:'accessing-selection'!

selectedClassCategories

    ^ selectedClassCategories

    "Modified: / 05-05-2014 / 20:31:09 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedClasses

    ^ selectedClasses

    "Created: / 19-12-2013 / 12:24:42 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
    "Modified (format): / 05-05-2014 / 20:25:42 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedCodes

    ^ selectedCodes

    "Created: / 18-08-2014 / 23:52:48 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedMethodProtocols

    ^ selectedMethodProtocols

    "Modified: / 05-05-2014 / 20:31:35 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedMethods

    ^ selectedMethods

    "Modified: / 05-05-2014 / 20:31:52 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedPackages

    ^ selectedPackages

    "Modified: / 05-05-2014 / 20:32:13 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
!

selectedVariables

    ^ selectedVariables

    "Modified: / 05-05-2014 / 20:32:31 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomSubContext methodsFor:'change & update'!

addSelectedClass: aClass

    selectedClasses add: aClass.

    "Created: / 19-12-2013 / 12:50:28 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

!CustomSubContext methodsFor:'initialization'!

initialize
    selectedClasses := OrderedCollection new.

    "Created: / 19-12-2013 / 12:37:44 / Jakub Nesveda <nesvejak@fit.cvut.cz>"
! !

